Blog

Acumen 1.3.8

Updated for Magento 1.9.1.0 compatibility.

Acumen 1.3.8 for Magento Community 1.9.1.0 is available now. It’s a pure compatibility release. I shelved backporting the new configurable swatches feature (for now).

Full release info is on the changelog.

Demo Buy at ThemeForest

Why no swatches

Magento (stupidly) split where frontend updates are applied: base/default (core updates) vs rwd/default (new features). Forcing sites to backport features across frontend packages creates fragmentation in the fallback hierarchy.

You’ll need to track/diff/merge two packages instead one by backporting. Effectively Magento skipped a fraction of work, and complicated maintenance for existing sites that want swatches. Not smart — I hope not a precedent.

Nevertheless, the option to backport exists. Swatches aren’t a priority in Acumen’s immediate roadmap so I shelved it temporarily.

Discourse Gravitated